Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.wsrp.producer
Class RenderRequestProcessor

    java.lang.Object
      org.jboss.portal.wsrp.producer.RequestProcessor
          org.jboss.portal.wsrp.producer.RenderRequestProcessor

    public class RenderRequestProcessor

extends RequestProcessor

Since:
  2.6
Version:
  $Revision: 11409 $
Author:
  Chris Laprun

Field Summary

Fields inherited from class org.jboss.portal.wsrp.producer.RequestProcessor
`instanceContext, invocation, markupRequest, portlet, portletDescription, producer`

Constructor Summary
`RenderRequestProcessor(WSRPProducerImpl producer, GetMarkup getMarkup)`

Method Summary

Methods inherited from class org.jboss.portal.wsrp.producer.RequestProcessor
`createNavigationalState, getInvocation, setInvocation`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RenderRequestProcessor

    public RenderRequestProcessor(WSRPProducerImpl producer,
                                  GetMarkup getMarkup)
                           throws UnsupportedMimeTypeFault,
                                  UnsupportedWindowStateFault,
                                  InvalidHandleFault,
                                  UnsupportedModeFault,
                                  MissingParametersFault,
                                  InvalidRegistrationFault,
                                  OperationFailedFault

Throws:
  `UnsupportedMimeTypeFault`
  `UnsupportedWindowStateFault`
  `InvalidHandleFault`
  `UnsupportedModeFault`
  `MissingParametersFault`
  `InvalidRegistrationFault`
  `OperationFailedFault`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD